Brivio API reference
Display

Ask the display assistant a question about the pulse data; read-only, 20/min per device; 501 STT_UNAVAILABLE for audio (scope: display:assistant)

POST
/display/assistant

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body

Send text (on-device speech recognition) or audio (base64, ≤ 15 s). One of them is required.

text?string
Length1 <= length <= 500
audio?string
Lengthlength <= 400000
mime?string
Lengthlength <= 40
locale?string
Default"ro"
Value in"ro""en"

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/display/assistant" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "transcript": "string",    "answer": "string",    "kpi": {      "id": "string",      "labelKey": "string",      "label": "string",      "value": {        "minor": 0,        "currency": "str"      },      "count": 0,      "delta": 0,      "spark": [        0      ],      "tone": "neutral"    }  },  "error": null}